<?
/* 모듈을 불러오고 객체를 생성한다.
   SMS를 보내기 위한 함수를 정의하고 SMS 정보를 담는 변수를 선언한다.

   $oSms		: SMS 모듈로 선언된 객체
   $zm_sms[residual]	: SMS 남은 건수
*/



//-- 스쿨호스팅 -------------------------------------------------------------------------------------
$smsmdl	= $g4[path] . "/zm.extend/sms/phps/sms.php";					//-- 캐릭터셋이 UTF-8일 때//euc는 이제 사용 안 함
include_once($smsmdl);			//-- 모듈 호출

$sms = new sms();												//-- SMS 객체 생성
$sms->set("TR_ID", $zm_sms[sms_phps_id]);
$sms->set("TR_KEY", $zm_sms[sms_phps_key]);
$recv	= $sms->view();

if($recv[status] == "success")
	$zm_sms[residual]		= number_format($recv[curcount]) . " 건";
else
	$zm_sms[residual]		= @implode("," , $recv);

//-- SMS 전송 함수 --------------------------
/*
	받는사람 전화번호, 받는 사람 이름, 보내는 사람 전화번호, 보내는 사람 이름, 문자 내용, 예약전송 여부(1:즉시전송, 2:예약전송), 예약시간[YYYY-MM-DD hh:mm:ss], sms 모듈, sms 아이디, sms 비번
*/
function sendsms($toPcs, $toName, $fromPcs, $fromName, $msg, $resvSend=1, $resvTime="") {
	global	$sms, $zm_sms, $g4, $member;

	if(!$msg || strlen($msg) > 80) {
		$reMsg	= $toPcs . "/문자 내용에 오류가 있습니다.";
		return $reMsg;
	}

	$smsId		= $zm_sms[sms_phps_id];
	$smsKey		= $zm_sms[sms_phps_key];

	$userdefine	= "ziumsoft";						//-- 예약 취소를 위한 구분자

	if($g4[charset] == "euc-kr") iconv("euc-kr", "utf-8", $msg);

	//-- 받는 사람의 전화번호가 공란이 아닐 때
	if(!$toName) $toName  = "회원";


	$sms = new sms();												//-- SMS 객체 생성
	$sms->set("TR_ID", $zm_sms[sms_phps_id]);
	$sms->set("TR_KEY", $zm_sms[sms_phps_key]);
	$sms->set("TR_TXTMSG","$msg");
	$sms->set("TR_TO","$toPcs","$toName","$toName");				//-- 받는 사람
	$sms->set("TR_FROM","$fromPcs");								//-- 보내는 사람
	
	if($resvSend == "2") {	//--문자 예약 전송
		$sms->set('TR_DATE',"$resvTime");
	}else{					//-- 즉시 전송
		$sms->set("TR_DATE","0");
	}
	$recv = $sms->send();		//-- 문자 전송

	
	if ($recv[0]['status'] == "success")	{	
		$reMsg	= " 전송 성공";	
	}else{ 
		//-- 전송 실패
		$reMsg	= "전송 실패. $recv[msg]";
	}
	$reMsg	= $toPcs . "/" . $reMsg;

	//-- 전송 성공 시 History에 기록
	if($recv[status] == "success" || 1) {
		$resvtime	= $resvDate . $resvTime;
		$msg .= $reMsg;
		smshistory("$fromName", "$fromPcs", "$toName", "$toPcs", "$msg", "$resvSend", "$resvtime");
	}
	
	return $reMsg;
}	//-- end function


?>
